Package org.jboss.logging.annotations

# Annotation Type Properties

@Retention(CLASS) @Target(METHOD) @Documented public @interface Properties
Defines the default properties to use on the resultant exception object.

Author:
  James R. Perkins

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`Property[]`
`value`
The properties to use on the resultant exception object.

## Element Details

### value

Property[] value
The properties to use on the resultant exception object. Note that the `name` attribute is required for these annotations.

Returns:
  the properties